Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.desktop
Class OutlookContactProxy

    java.lang.Object
      local.tomas.mobile.sync.obj.desktop.OutlookContactProxy

All Implemented Interfaces:
  SyncObject

    public class OutlookContactProxy

extends java.lang.Object
implements SyncObject

Constructor Summary
`OutlookContactProxy()`
`OutlookContactProxy(OutlookContactStore store)`
`OutlookContactProxy(OutlookSyncContact contact, OutlookContactStore store)`

Method Summary
`void` | `createCopy(OutlookContactProxy source)`
`void` | `createNew()`
`
`<T> T`
` | `getAttribute(java.lang.String name, java.lang.Class<T> type)`
`java.sql.Timestamp` | `getLastModificationTime()`
`java.lang.String` | `getName()`
`OutlookContactStore` | `getStore()`
`java.lang.String` | `getUID()`
`
`<T> void`
` | `setAttribute(java.lang.String name, T value, java.lang.Class<T> type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlookContactProxy

    public OutlookContactProxy()

### OutlookContactProxy

    public OutlookContactProxy(OutlookContactStore store)

### OutlookContactProxy

    public OutlookContactProxy(OutlookSyncContact contact,
                               OutlookContactStore store)

Method Detail

### getStore

    public OutlookContactStore getStore()

### getUID

    public java.lang.String getUID()

  Specified by:
    `getUID` in interface `SyncObject`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SyncObject`

### getLastModificationTime

    public java.sql.Timestamp getLastModificationTime()

  Specified by:
    `getLastModificationTime` in interface `SyncObject`

### getAttribute

    public <T> T getAttribute(java.lang.String name,
                              java.lang.Class<T> type)

  Specified by:
    `getAttribute` in interface `SyncObject`

### setAttribute

    public <T> void setAttribute(java.lang.String name,
                                 T value,
                                 java.lang.Class<T> type)

  Specified by:
    `setAttribute` in interface `SyncObject`

### createNew

    public void createNew()
                   throws SyncException

  Throws:
    `SyncException`

### createCopy

    public void createCopy(OutlookContactProxy source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.